=== debian/changelog ===
blktap (0.9.2-2) UNRELEASED; urgency=low

  * Remove xen-missing-headers dependency

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

blktap (0.9.2-1) UNRELEASED; urgency=low

  * Update blktap to latest release

 -- Bob Ball <bob.ball@citrix.com>  Wed, 04 Jun 2014 12:00:00 +0000

blktap (0.9.1-1) UNRELEASED; urgency=low

  * Update blktap to avoid Debian Jessie compile failure

 -- Bob Ball <bob.ball@citrix.com>  Wed, 12 Mar 2014 12:00:00 +0000

blktap (0.9.0-2) UNRELEASED; urgency=low

  * Change to upstream source repository

 -- Euan Harris <euan.harris@citrix.com>  Fri, 17 Jan 2014 12:00:00 +0000

blktap (0.9.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 24 Oct 2013 12:00:00 +0000
