## blktap 0.9.3.fe874d

=== mk/Makefile ===
--- 
+++ 
@@ -95,4 +95,5 @@
 	rm -rf $(RPM_BUILDDIR)
 	rm -f $(BLKTAP_RPM_SOURCES)
 	rm -f $(STAMP_RPMBUILD)
+	rm -f $(STAMP_CHECKOUT)
 	rm -f $(BLKTAP_SRCTREE)/EXTRAVERSION
