=== debian/changelog ===
blktap (0.9.3.fe874d-2) UNRELEASED; urgency=low

  * Fix the build on 32-bit machines

 -- David Scott <dave.scott@citrix.com>  Thu, 05 Feb 2015 12:00:00 +0000

blktap (0.9.3.fe874d-1) UNRELEASED; urgency=low

  * Update to Creedence branch without grantcopy
  * Using checkpoint off xs64bit branch until an official release is made

 -- Bob Ball <bob.ball@citrix.com>  Mon, 08 Dec 2014 12:00:00 +0000
