=== debian/control ===
Source: blktap
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 blktap-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 qemu-system-x86,
 libssl-dev,
 python,
 debhelper (>= 8),
 blktap-utils,
 automake,
 uuid-dev,
 libaio-dev,
 autoconf,
 libtool,
 libxen-dev

Package: blktap
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Enhanced version of tapdisk
 Enhanced version of tapdisk with support for storage mirroring.
