## blktap 2.0.90

=== debian/changelog ===
blktap (2.0.90-4ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + This is not x86 specific, but is linux specific. Use linux-any.
    - debian/patches/fix-for-arm.patch:
      + Fix build failure, enabling vhd io on arm*.
    - debian/patches/fix-for-big-endian.patch:
      + Fix libvhd.h header on big-endian not providing BE16_OUT() macro.
    - debian/patches/fix-for-ppc64el.patch:
      + Fix gcc warning about uninitialized variable on ppc64el.
    - debian/patches/fix-for-arm64.patch:
      + Define __NR_eventfd on arm64 to fix FTBFS.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 28 Mar 2016 01:03:20 +0200

blktap (2.0.90-4) unstable; urgency=medium

  * Fix FTBFS with GCC-5 (Closes: Bug#777801).
    Thanks to Matthias Klose <doko@debian.org> for reporting.
  * Lintian cleaning.

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Tue, 30 Jun 2015 12:28:20 +0300

blktap (2.0.90-3ubuntu3) wily; urgency=medium

  * fix-for-arm64.patch: Define __NR_eventfd on arm64 to fix FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Jul 2015 18:13:32 -0600

blktap (2.0.90-3ubuntu2) vivid; urgency=medium

  * Add a patch to fix gcc warning about uninitialized variable on ppc64el.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 22 Mar 2015 14:29:56 +0300

blktap (2.0.90-3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + This is not x86 specific, but is linux specific. Use linux-any.
    - debian/patches/fix-for-arm.patch:
      + Fix build failure, enabling vhd io on arm*.
    - debian/patches/fix-for-big-endian.patch:
      + Fix libvhd.h header on big-endian not providing BE16_OUT() macro.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 03 Feb 2015 22:53:01 +0100

blktap (2.0.90-3) unstable; urgency=high

  * Fix failing to call io_setup with EINVAL (Closes: #760504).
  * Add uuid-dev dependency in blktap-dev package (Closes: #738720).
  * Add Nanakos Chrysostomos in Uploaders field.
  * Standards-Version: 3.9.5.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Fri, 05 Sep 2014 10:36:52 +0300

blktap (2.0.90-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - This is not x86 specific, but is linux specific. Use linux-any
    - Fix libvhd.h header on big-endian not providing BE16_OUT() macro
    - Fix build failure, enabling vhd io on arm*.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 28 Aug 2013 12:45:10 +0200

blktap (2.0.90-2) unstable; urgency=low

  * Fixes bashism in /bin/sh script in part/vhdpartx (Closes: #690630).
  * Fixes wrong paragraph separation in package description (Closes: #699845).
  * Added a debian/gbp.conf.
  * Fixes FTBFS with gcc 4.8, thanks to Matthias Klose <doko@debian.org> for
    reporting, and Juhani Numminen <juhaninumminen0@gmail.com> for sending a
    patch to fix it (Closes: #701248).
  * Switching to debhelper and compat 9.
  * Standards-Version: 3.9.4.
  * Canonical VCS fields.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Oct 2012 10:23:57 +0000

blktap (2.0.90-1ubuntu2) quantal; urgency=low

  * Fix build failure, enabling vhd io on arm*.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 18:27:44 +0200

blktap (2.0.90-1ubuntu1) quantal; urgency=low

  * This is not x86 specific, but is linux specific. Use linux-any
  * Fix libvhd.h header on big-endian not providing BE16_OUT() macro

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 16 Jul 2012 15:07:50 -0400

blktap (2.0.90-1) unstable; urgency=low

  * Initial release. (Closes: #635115)

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jul 2011 17:08:44 +0000
