=== debian/control ===
Source: blktap
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG Xen Devel <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>, Chrysostomos Nanakos <cnanakos@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9),
               libaio-dev,
               libtool,
               uuid-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xen/blktap.git
Vcs-Git: http://anonscm.debian.org/git/pkg-xen/blktap.git
Homepage: http://www.xen.org/products/cloudxen.html

Package: blktap-dev
Section: devel
Architecture: linux-any
Depends: libblktapctl0 (= ${binary:Version}),
         libvhd0 (= ${binary:Version}),
         libvhdio-2.0.90 (= ${binary:Version}),
         uuid-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Xen API blktap shared library (development files)
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
 .
 Libvhd is a library to access VHD format metadata. It provides disk image
 initialization, inspection and manipulation to both VHD user utilities and
 the VHD disk driver in Blktap.
 .
 This package contains the development files

Package: blktap-utils
Section: utils
Architecture: linux-any
Depends: blktap-dkms,
         libblktapctl0 (= ${binary:Version}),
         libvhd0 (= ${binary:Version}),
         libvhdio-2.0.90 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: utilities to work with VHD disk images files
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
 .
 This package contains user utilities to inspect, test, and manipulate
 Virtual Hard Disk (VHD) images through libvhd, and the control utilities
 needed to create destroy and manipulate devices ('tap-ctl'), the 'tapdisk'
 driver program to perform tap devices I/O, and a number of image drivers.

Package: libvhd0
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: VHD file format access library
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
  .
 Libvhd is a library to access VHD format metadata. It provides disk image
 initialization, inspection and manipulation to both VHD user utilities and
 the VHD disk driver in Blktap.
 .
 This package contains the runtime vhd library.

Package: libvhdio-2.0.90
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xen API blktap shared library (shared library)
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
 .
 This package contains the runtime vhdio library.

Package: libblktapctl0
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xen API blktapctl shared library (shared library)
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
  .
 Libvhd is a library to access VHD format metadata. It provides disk image
 initialization, inspection and manipulation to both VHD user utilities and
 the VHD disk driver in Blktap.
 .
 This package contains the runtime blktapctl library.
